Row.RowSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class Row.RowSerializer

- java.lang.Object
- - org.apache.cassandra.db.Row.RowSerializer

- All Implemented Interfaces:
    IVersionedSerializer<Row>
  Enclosing class:
    Row

      public static class Row.RowSerializer
      extends java.lang.Object
      implements IVersionedSerializer<Row>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Row` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `Row` | `deserialize(java.io.DataInput in, int version, ColumnSerializer.Flag flag)`
    `void` | `serialize(Row row, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(Row row, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowSerializer

          public RowSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Row row,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<Row>`
      Parameters:
        `row` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public Row deserialize(java.io.DataInput in,
                                 int version,
                                 ColumnSerializer.Flag flag)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public Row deserialize(java.io.DataInput in,
                                 int version)
                          throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<Row>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(Row row,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<Row>`
      Parameters:
        `row` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation